Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class MapEventTransformerFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.MapEventTransformerFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, MapEventTransformer, java.io.Serializable

      public class MapEventTransformerFilter

extends ExternalizableHelper
implements Filter, MapEventTransformer, ExternalizableLite, PortableObject

MapEventTransformerFilter is a generic multiplexing wrapper that combines two implementations: a Filter (most commonly a `MapEventFilter`) and a MapEventTransformer and is used to register event listeners that allow to change the content of a MapEvent.

Since:
  Coherence 3.4
Author:
  gg/jh 2008.05.01
See Also:
  `SemiLiteEventTransformer`

Constructor Summary
`MapEventTransformerFilter()` No-argument constructor for lite deserialization.
`MapEventTransformerFilter(Filter filter, MapEventTransformer transformer)` Construct a MapEventTransformerFilter based on the specified Filter and MapEventTransformer.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compare the MapEventTransformerFilter with another object to determine equality.
`boolean` | `evaluate(java.lang.Object o)` Apply the test to the object.
`int` | `hashCode()` Determine a hash value for the MapEventTransformerFilter object according to the general `Object.hashCode()` contract.
`void` | `readExternal(java.io.DataInput in)` Restore the contents of this object by loading the object's state from the passed DataInput object.
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.
`java.lang.String` | `toString()` Provide a human-readable representation of this object.
`MapEvent` | `transform(MapEvent event)` Remove an old value from the specified MapEvent.
`void` | `writeExternal(java.io.DataOutput out)` Save the contents of this object by storing the object's state into the passed DataOutput object.
`void` | `writeExternal(PofWriter out)` Save the contents of a POF user type instance by writing its state using the specified PofWriter object.

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### MapEventTransformerFilter

    public MapEventTransformerFilter()

  No-argument constructor for lite deserialization.

### MapEventTransformerFilter

    public MapEventTransformerFilter(Filter filter,
                                     MapEventTransformer transformer)

  Construct a MapEventTransformerFilter based on the specified Filter and MapEventTransformer.
  Parameters:
    `filter` - the underlying Filter (e.g. MapEventFilter) used to evaluate original MapEvent objects (optional)
    `transformer` - the underlying MapEventTransformer used to transform original MapEvent objects

Method Detail

### evaluate

    public boolean evaluate(java.lang.Object o)

  Apply the test to the object.
  Specified by:
    `evaluate` in interface `Filter`
  Parameters:
    `o` - the object to test
  Returns:
    true if the test passes, false otherwise

### transform

    public MapEvent transform(MapEvent event)

  Remove an old value from the specified MapEvent.
  Specified by:
    `transform` in interface `MapEventTransformer`
  Parameters:
    `event` - the original MapEvent object
  Returns:
    modified MapEvent object that does not contain the old value

### readExternal

    public void readExternal(java.io.DataInput in)
                      throws java.io.IOException

  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `java.io.IOException` - if an I/O exception occurs
    `java.io.NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### writeExternal

    public void writeExternal(java.io.DataOutput out)
                       throws java.io.IOException

  Save the contents of this object by storing the object's state into the passed DataOutput object.
  Specified by:
    `writeExternal` in interface `ExternalizableLite`
  Parameters:
    `out` - the DataOutput stream to write the state of this object to
  Throws:
    `java.io.IOException` - if an I/O exception occurs

### readExternal

    public void readExternal(PofReader in)
                      throws java.io.IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeExternal

    public void writeExternal(PofWriter out)
                       throws java.io.IOException

  Save the contents of a POF user type instance by writing its state using the specified PofWriter object.
  Specified by:
    `writeExternal` in interface `PortableObject`
  Parameters:
    `out` - the PofWriter to which to write the object's state
  Throws:
    `java.io.IOException` - if an I/O error occurs

### equals

    public boolean equals(java.lang.Object o)

  Compare the MapEventTransformerFilter with another object to determine equality.
  Returns:
    true iff this MapEventTransformerFilter and the passed object are equivalent

### hashCode

    public int hashCode()

  Determine a hash value for the MapEventTransformerFilter object according to the general `Object.hashCode()` contract.
  Returns:
    an integer hash value for this object

### toString

    public java.lang.String toString()

  Provide a human-readable representation of this object.
  Returns:
    a String whose contents represent the value of this object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.